Fund Betting Account
curl --request POST \
--url https://api.laikipay.com/v1/merchant/betting/fund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"providerCode": "SPORTYBET",
"customerId": "1002345678",
"amount": 5000
}
'import requests
url = "https://api.laikipay.com/v1/merchant/betting/fund"
payload = {
"providerCode": "SPORTYBET",
"customerId": "1002345678",
"amount": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({providerCode: 'SPORTYBET', customerId: '1002345678', amount: 5000})
};
fetch('https://api.laikipay.com/v1/merchant/betting/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.laikipay.com/v1/merchant/betting/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'providerCode' => 'SPORTYBET',
'customerId' => '1002345678',
'amount' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.laikipay.com/v1/merchant/betting/fund"
payload := strings.NewReader("{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.laikipay.com/v1/merchant/betting/fund")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.laikipay.com/v1/merchant/betting/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}"
response = http.request(request)
puts response.read_bodyBet Funding API
Fund Betting Account
Deposit funds into a customer betting wallet
POST
/
betting
/
fund
Fund Betting Account
curl --request POST \
--url https://api.laikipay.com/v1/merchant/betting/fund \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"providerCode": "SPORTYBET",
"customerId": "1002345678",
"amount": 5000
}
'import requests
url = "https://api.laikipay.com/v1/merchant/betting/fund"
payload = {
"providerCode": "SPORTYBET",
"customerId": "1002345678",
"amount": 5000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({providerCode: 'SPORTYBET', customerId: '1002345678', amount: 5000})
};
fetch('https://api.laikipay.com/v1/merchant/betting/fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.laikipay.com/v1/merchant/betting/fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'providerCode' => 'SPORTYBET',
'customerId' => '1002345678',
'amount' => 5000
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.laikipay.com/v1/merchant/betting/fund"
payload := strings.NewReader("{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.laikipay.com/v1/merchant/betting/fund")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.laikipay.com/v1/merchant/betting/fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"providerCode\": \"SPORTYBET\",\n \"customerId\": \"1002345678\",\n \"amount\": 5000\n}"
response = http.request(request)
puts response.read_bodyInstantly credit a customer sportsbook account. The deposit is deducted from your corporate NGN vault balance. In Sandbox mode, a simulated operator receipt and vend reference are returned immediately.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Betting account funded successfully

